/*
** stristr.c - part of GrabURL 2.0 - like strstr but case insensitive
** Copyright (C) 1996-97 Serge Emond
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifdef __SASC
#include <string.h>
#endif

#include <ctype.h>
#include "libgurl.h"

char *stristr(const char *haystack, const char *needle)
{
	int max, i, j;

	max = strlen(haystack) - strlen(needle);

	for (i=0; i<=max; i++) {
	  for (j = 0; needle[j]; j++) {
		if (toupper(haystack[i+j]) != toupper(needle[j])) break;
	  }
	  if (needle[j] == 0) return((char *)haystack + i);
	}
	return(0);
}
